Elukey has uploaded a new change for review. ( 
https://gerrit.wikimedia.org/r/370850 )

Change subject: role:eventstreams: unset api.version.request due to a scap bug
......................................................................

role:eventstreams: unset api.version.request due to a scap bug

We are currently experiencing an issue with scap intepreting
the false boolean value and rendering the wrong result to the
config.yaml file. Since librdkafka 0.9.4.x default to false for
api.version.request we can just comment it.

Bug: T172681
Change-Id: I52d7236d4ef880d668a4906cc4bb713da7766d30
---
M hieradata/role/common/scb.yaml
1 file changed, 1 insertion(+), 1 deletion(-)


  git pull ssh://gerrit.wikimedia.org:29418/operations/puppet 
refs/changes/50/370850/1

diff --git a/hieradata/role/common/scb.yaml b/hieradata/role/common/scb.yaml
index ccf580d..4dccf01 100644
--- a/hieradata/role/common/scb.yaml
+++ b/hieradata/role/common/scb.yaml
@@ -85,7 +85,7 @@
   # Specify Kafka API version as workaround for Brokers < 0.10
   # https://github.com/edenhill/librdkafka/wiki/Broker-version-compatibility
   # This will not be necessary when the target Kafka cluster will be running 
0.10
-  api.version.request: '"false"'
+  # librdkafka 0.9.4.x default for api.version.request is false, no need to 
set it
   broker.version.fallback: '0.9.0.1'
 
 changeprop::restbase_uri: http://restbase-async.discovery.wmnet:7231

-- 
To view, visit https://gerrit.wikimedia.org/r/370850
To unsubscribe, visit https://gerrit.wikimedia.org/r/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I52d7236d4ef880d668a4906cc4bb713da7766d30
Gerrit-PatchSet: 1
Gerrit-Project: operations/puppet
Gerrit-Branch: production
Gerrit-Owner: Elukey <ltosc...@wikimedia.org>

_______________________________________________
MediaWiki-commits mailing list
MediaWiki-commits@lists.wikimedia.org
https://lists.wikimedia.org/mailman/listinfo/mediawiki-commits

Reply via email to